com.google.gwt.safehtml.shared

## Interface HtmlSanitizer

All Known Implementing Classes:
  SimpleHtmlSanitizer

    public interface HtmlSanitizer

Sanitizes untrusted HTML. Note on usage: SafeHtml should be used to ensure user input is not executed in the browser. SafeHtml should not be used to sanitize input before sending it to the server.

### Method Summary

All Methods Instance Methods Abstract Methods
`SafeHtml` `sanitize(java.lang.String html)` Sanitizes a string into `SafeHtml`.

### Method Detail

#### sanitize

    SafeHtml sanitize(java.lang.String html)

Sanitizes a string into `SafeHtml`.

Parameters:
  `html` - String containing untrusted HTML.
Returns:
  Contents of `html`, sanitized according to the policy implemented by this sanitizer.